Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1207308 - gunicorn: error: unrecognized arguments: --debug
gunicorn: error: unrecognized arguments: --debug
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker-registry (Show other bugs)
22
noarch Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
: EasyFix
: 1231305 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-30 12:29 EDT by Jiri Popelka
Modified: 2016-02-15 15:28 EST (History)
7 users (show)

See Also:
Fixed In Version: docker-registry-0.9.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 15:28:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2015-03-30 12:29:06 EDT
docker-registry.service

contains

ExecStart=/usr/bin/gunicorn --debug

which fails with:
gunicorn: error: unrecognized arguments: --debug

s/--debug/--log-level debug/
fixes the problem for me

Version-Release number of selected component (if applicable):
docker-registry-0.9.1-1.fc22.noarch
python-gunicorn-19.3.0-1.fc22.noarch
Comment 1 Tim Waugh 2015-06-30 07:37:03 EDT
*** Bug 1231305 has been marked as a duplicate of this bug. ***
Comment 2 Tim Waugh 2015-06-30 07:42:08 EDT
I'd suggest removing --debug altogether. With log-level debug, a journal message is logged every 1s.
Comment 3 Alexander Rydekull 2016-01-18 16:23:18 EST
Could someone possibly fix this issue? It is as simple as Tim describe. Would be awesome if we could fix the docker-registry package in Fedora.
Comment 4 Lokesh Mandvekar 2016-01-19 11:49:34 EST
Sorry about the delay. Fix incoming...
Comment 5 Fedora Update System 2016-01-19 13:39:22 EST
docker-registry-0.9.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-241da7395c
Comment 6 Fedora Update System 2016-01-19 13:39:51 EST
docker-registry-0.9.1-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb4eb3da3c
Comment 7 Fedora Update System 2016-01-20 18:57:56 EST
docker-registry-0.9.1-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb4eb3da3c
Comment 8 Fedora Update System 2016-01-21 01:24:48 EST
docker-registry-0.9.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-241da7395c
Comment 9 Lokesh Mandvekar 2016-02-15 15:28:27 EST
docker-registry has been obsoleted by docker-distribution upstream, and we're now in the process of obsoleting it in fedora. Please use 'docker-distribution' instead.

Note You need to log in before you can comment on or make changes to this bug.